<app-layout>

  <div class="row p-4" *ngIf="projects">

   <div class="col-lg-3 col-md-3 col-sm-6 col-xs-6 pt-4" *ngFor="let Project of projects">

    <mat-card (click)="getdata(Project.id)" style="background-color: #d1d0de;">
      <mat-card-title>
        {{Project.projectname ? Project.projectname : "not provided" }}
      </mat-card-title>
      <div class="row ">
        <div class="col-lg-2 col-md-2">

            <mat-icon aria-hidden="false" style="color: blue;" aria-label="Example home icon">my_location</mat-icon>
        </div>
        <div class="col-lg-3 col-md-3">Location</div>
        <div class="col-lg-6 col-md-6" style="text-align: right;"> {{Project.location ? Project.location : "not provided" }}</div>
      </div>
        <div class="row ">
            <div class="col-lg-2 col-md-2">
    
                <mat-icon aria-hidden="false" style="color: blue;" aria-label="Example home icon">date_range</mat-icon>
            </div>
            <div class="col-lg-3 col-md-3">Day</div>
            <div class="col-lg-6 col-md-6" style="text-align: right;">{{Project.day}}</div>
          </div>
          <div class="row ">
              <div class="col-lg-2 col-md-2">
      
                  <mat-icon aria-hidden="false" style="color:blue" aria-label="Example home icon">event</mat-icon>
              </div>
              <div class="col-lg-3 col-md-3">Date</div>
              <div class="col-lg-6 col-md-6" style="text-align: right;">{{Project.date}}</div>
            </div>

    </mat-card>
   </div>
  
  </div>
</app-layout>
